Package org.apache.sling.clam.http.internal

## Class ClamEventsServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.sling.clam.http.internal.ClamEventsServlet

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`, `JcrPropertyScanResultHandler`

    public class ClamEventsServlet
    extends javax.servlet.http.HttpServlet
    implements JcrPropertyScanResultHandler

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ClamEventsServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doGet​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `handleJcrPropertyScanResult​(@NotNull org.apache.sling.commons.clam.ScanResult scanResult, @NotNull java.lang.String path, int index, int propertyType, @Nullable java.lang.String userId)`
`void` `handleJcrPropertyScanResult​(@NotNull org.apache.sling.commons.clam.ScanResult scanResult, @NotNull java.lang.String path, int propertyType, @Nullable java.lang.String userId)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClamEventsServlet

    public ClamEventsServlet()

### Method Detail

#### doGet

    protected void doGet​(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `java.io.IOException`

#### handleJcrPropertyScanResult

    public void handleJcrPropertyScanResult​(@NotNull
                                            @NotNull org.apache.sling.commons.clam.ScanResult scanResult,
                                            @NotNull
                                            @NotNull java.lang.String path,
                                            int propertyType,
                                            @Nullable
                                            @Nullable java.lang.String userId)

Specified by:
  `handleJcrPropertyScanResult` in interface `JcrPropertyScanResultHandler`
Parameters:
  `scanResult` - The scan result from Clam service
  `path` - The path of the scanned single-value property
  `propertyType` - The type of the scanned property
  `userId` - The id of the user who added or changed the property

#### handleJcrPropertyScanResult

    public void handleJcrPropertyScanResult​(@NotNull
                                            @NotNull org.apache.sling.commons.clam.ScanResult scanResult,
                                            @NotNull
                                            @NotNull java.lang.String path,
                                            int index,
                                            int propertyType,
                                            @Nullable
                                            @Nullable java.lang.String userId)

Specified by:
  `handleJcrPropertyScanResult` in interface `JcrPropertyScanResultHandler`
Parameters:
  `scanResult` - The scan result from Clam service
  `path` - The path of the scanned multi-value property
  `index` - The index of the scanned property value
  `propertyType` - The type of the scanned property
  `userId` - The id of the user who added or changed the property